org.richfaces.util

## Enum RequestStateManager.BooleanRequestStateVariable

- java.lang.Object
- - java.lang.Enum<RequestStateManager.BooleanRequestStateVariable>
  - - org.richfaces.util.RequestStateManager.BooleanRequestStateVariable

- All Implemented Interfaces:
    Serializable, Comparable<RequestStateManager.BooleanRequestStateVariable>
  Enclosing class:
    RequestStateManager

      public static enum RequestStateManager.BooleanRequestStateVariable
      extends Enum<RequestStateManager.BooleanRequestStateVariable>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LegacyResourceRequest`
    `ResourceRequest`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `get(javax.faces.context.FacesContext context)`
    `void` | `set(javax.faces.context.FacesContext context, Boolean value)`
    `static RequestStateManager.BooleanRequestStateVariable` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RequestStateManager.BooleanRequestStateVariable[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LegacyResourceRequest

          public static final RequestStateManager.BooleanRequestStateVariable LegacyResourceRequest

    - #### ResourceRequest

          public static final RequestStateManager.BooleanRequestStateVariable ResourceRequest

  - ### Method Detail

    - #### values

          public static RequestStateManager.BooleanRequestStateVariable[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RequestStateManager.BooleanRequestStateVariable c : RequestStateManager.BooleanRequestStateVariable.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RequestStateManager.BooleanRequestStateVariable valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public Boolean get(javax.faces.context.FacesContext context)

    - #### set

          public void set(javax.faces.context.FacesContext context,
                          Boolean value)

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.